Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200501-14 ] mpg123: Buffer overflow
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Bodhisattva
Bodhisattva


Joined: 25 Feb 2003
Posts: 3827
Location: Essen, Germany

PostPosted: Tue Jan 11, 2005 8:33 am    Post subject: [ GLSA 200501-14 ] mpg123: Buffer overflow Reply with quote

Gentoo Linux Security Advisory

Title: mpg123: Buffer overflow (GLSA 200501-14)
Severity: normal
Exploitable: remote
Date: January 10, 2005
Bug(s): #76862
ID: 200501-14

Synopsis

An attacker may be able to execute arbitrary code by way of specially crafted MP2 or MP3 files.

Background

mpg123 is a real-time MPEG audio player.

Affected Packages

Package: media-sound/mpg123
Vulnerable: < 0.59s-r9
Unaffected: >= 0.59s-r9
Architectures: All supported architectures


Description

mpg123 improperly parses frame headers in input streams.

Impact

By inducing a user to play a malicious file, an attacker may be able to exploit a buffer overflow to execute arbitrary code with the permissions of the user running mpg123.

Workaround

There is no known workaround at this time.

Resolution

All mpg123 users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=media-sound/mpg123-0.59s-r9"


References

CAN-2004-0991
Bugtraq Announcement


Last edited by GLSA on Fri Apr 04, 2008 4:16 am; edited 3 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum